- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
FVarLevel::ValueTag Struct Reference

`#include <fvarLevel.h>`

## Public Types
typedef unsigned char | ValueTagSize

## Public Member Functions
| ValueTag ()
void | clear ()
bool | isMismatch () const
bool | isCrease () const
bool | isCorner () const
bool | isSemiSharp () const
bool | isInfSharp () const
bool | isDepSharp () const

## Public Attributes
ValueTagSize | _mismatch: 1
ValueTagSize | _crease: 1
ValueTagSize | _semiSharp: 1
ValueTagSize | _depSharp: 1
ValueTagSize | _xordinary: 1

## Detailed Description

Definition at line 106 of file fvarLevel.h.

## Member Typedef Documentation

typedef unsigned char ValueTagSize

Definition at line 118 of file fvarLevel.h.

## Constructor & Destructor Documentation

ValueTag | ( |  | ) |
| inline

Definition at line 107 of file fvarLevel.h.

## Member Function Documentation

void clear | ( |  | ) |
| inline

Definition at line 109 of file fvarLevel.h.

bool isCorner | ( |  | ) | const
| inline

Definition at line 113 of file fvarLevel.h.

bool isCrease | ( |  | ) | const
| inline

Definition at line 112 of file fvarLevel.h.

bool isDepSharp | ( |  | ) | const
| inline

Definition at line 116 of file fvarLevel.h.

bool isInfSharp | ( |  | ) | const
| inline

Definition at line 115 of file fvarLevel.h.

bool isMismatch | ( |  | ) | const
| inline

Definition at line 111 of file fvarLevel.h.

bool isSemiSharp | ( |  | ) | const
| inline

Definition at line 114 of file fvarLevel.h.

## Member Data Documentation

ValueTagSize _crease

Definition at line 121 of file fvarLevel.h.

ValueTagSize _depSharp

Definition at line 123 of file fvarLevel.h.

ValueTagSize _mismatch

Definition at line 120 of file fvarLevel.h.

ValueTagSize _semiSharp

Definition at line 122 of file fvarLevel.h.

ValueTagSize _xordinary

Definition at line 124 of file fvarLevel.h.

The documentation for this struct was generated from the following file:

- opensubdiv/vtr/fvarLevel.h